# misc.cpp File Reference

Misc functions that shouldn't be here. More...

`#include "stdafx.h"`
`#include "landscape.h"`
`#include "news_func.h"`
`#include "ai/ai.hpp"`
`#include "ai/ai_gui.hpp"`
`#include "newgrf_house.h"`
`#include "group.h"`
`#include "economy_func.h"`
`#include "date_func.h"`
`#include "texteff.hpp"`
`#include "gfx_func.h"`
`#include "gamelog.h"`
`#include "animated_tile_func.h"`
`#include "tilehighlight_func.h"`
`#include "network/network_func.h"`
`#include "window_func.h"`

Go to the source code of this file.

## Functions
void | MakeNewgameSettingsLive ()
void | InitializeSound ()
void | InitializeMusic ()
| Initialize the playlists.
void | InitializeVehicles ()
void | InitializeDepots ()
void | InitializeEngineRenews ()
void | InitializeOrders ()
void | InitializeOrderBackups ()
void | InitializeClearLand ()
void | InitializeRailGui ()
| Initialize rail building GUI settings.
void | InitializeRoadGui ()
void | InitializeAirportGui ()
void | InitializeDockGui ()
void | InitializeObjectGui ()
| Reset all data of the object GUI.
void | InitializeIndustries ()
void | InitializeObjects ()
| Initialize/reset the objects.
void | InitializeTowns ()
void | InitializeSubsidies ()
| Initializes subsidies, files don't have to include subsidy_base,h this way.
void | InitializeTrees ()
void | InitializeSigns ()
| Initialize the signs.
void | InitializeStations ()
void | InitializeRoadStops ()
void | InitializeCargoPackets ()
| Initialize, i.e.
void | InitializeCompanies ()
| Initialize the pool of companies.
void | InitializeCheats ()
void | InitializeNPF ()
void | InitializeOldNames ()
| Initialize the old names table memory.
void | InitializeGame (uint size_x, uint size_y, bool reset_date, bool reset_settings)
## Variables
TileIndex | _cur_tileloop_tile

## Detailed Description

Misc functions that shouldn't be here.

Definition in file misc.cpp.

## Function Documentation

void InitializeCargoPackets | ( |  | ) |

Initialize, i.e.

clean, the pool with cargo packets.

Definition at line 23 of file cargopacket.cpp.

References _cargopacket_pool.

void InitializeCompanies | ( |  | ) |

Initialize the pool of companies.

Definition at line 602 of file company_cmd.cpp.

References _company_pool, and _cur_company_tick_index.

void InitializeObjectGui | ( |  | ) |

Reset all data of the object GUI.

Definition at line 418 of file object_gui.cpp.

References _selected_object_class.

void InitializeObjects | ( |  | ) |

Initialize/reset the objects.

Definition at line 56 of file object_cmd.cpp.

References Object::ResetTypeCounts().

void InitializeSigns | ( |  | ) |

Initialize the signs.

Definition at line 68 of file signs.cpp.